NppiImageDescriptor Struct Reference
ResizeBatch

Data structure for variable ROI image resizing. More...

`#include <nppi_geometry_transforms.h>`

## Data Fields

void * | pData
int | nStep
NppiSize | oSize

## Detailed Description

Data structure for variable ROI image resizing.

General image descriptor. Defines the basic parameters of an image, including data pointer, step size and size information. This can be used by both source and destination sides.

## Field Documentation

int NppiImageDescriptor::nStep

NppiSize NppiImageDescriptor::oSize

void* NppiImageDescriptor::pData

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r10.0/NPP/npp/include/nppi_geometry_transforms.h

Copyright © 2009-2017 NVIDIA Corporation